#version 450 core

// inputs
in vec2 texCoord;

// outputs
layout (location = 0) out vec4 fragColor;

// uniforms
uniform sampler2D t_texture0;
uniform vec2      g_viewportScale;

void main(void)
{
	fragColor = texture(t_texture0, texCoord*g_viewportScale);
	return;
}

